{varType Skadmin\PricePackageReservation\Doctrine\PricePackageReservation\PricePackageReservation $item}

{define itemRow}
    <div class="row" n:if="$value">
        <div class="col-12 col-md-{$typeCol2 ? 2 : 4} pl-3 pl-md-4">{('grid.price-package-reservation.overview.' . $key)|translate}</div>
        <div class="col-12 col-md-{$typeCol2 ? 10 : 8} pl-4 pl-md-3 text-primary">{$value|noescape}</div>
    </div>
{/define}

<div class="row mb-4">
    <div class="col-12 col-md-{$item->getCompanyName() ? 6 : 12} mb-4 mb-md-0 ">
        <div class="row">
            <div class="col-12 font-weight-bold mb-2">{_'grid.price-package-reservation.overview.customer'}</div>

            <div class="col-12">
                {include #itemRow typeCol2 => false, key => 'name', value => $item->getFullName()}
                {include #itemRow typeCol2 => false, key => 'email', value => ($item->getEmail()|contact)}
                {include #itemRow typeCol2 => false, key => 'phone', value => ($item->getPhone()|contact)}
                {include #itemRow typeCol2 => false, key => 'address', value => '<a href="' . $item->getAddressLinkToMap() . '" target="_blank">'. $item->getAddress() . '</a>'}
                {include #itemRow typeCol2 => false, key => 'address-country', value => $item->getAddressCountry()}
            </div>
        </div>
    </div>

    <div class="col-12 col-md-6" n:if="$item->getCompanyName()">
        <div class="row">
            <div class="col-12 font-weight-bold mb-2">{_'grid.price-package-reservation.overview.company'}</div>

            <div class="col-12">
                {include #itemRow typeCol2 => false, key => 'company-name', value => $item->getCompanyName()}
                {include #itemRow typeCol2 => false, key => 'company-registration-number', value => $item->getCompanyRegistrationNumber()}
                {include #itemRow typeCol2 => false, key => 'company-tax-id', value => $item->getCompanyTaxId()}
            </div>
        </div>
    </div>
</div>

<div class="row mb-4">
    <div class="col-12 font-weight-bold mb-2">{_'grid.price-package-reservation.overview.package'}</div>

    <div class="col-12">
        {include #itemRow typeCol2 => true, key => 'package-name', value => implode(', ', Nette\Utils\Arrays::map($item->getPricePackages()->toArray(), function (Skadmin\PricePackage\Doctrine\PricePackage\PricePackage $pp) : string { return $pp->getName();}))}
        {include #itemRow typeCol2 => true, key => 'package-price', value => ($item->getPricePackagePrice()|number,0,'',' ') . ',- Kč'}
        {include #itemRow typeCol2 => true, key => 'package-content', value => $item->getPricePackageContent()}
        {include #itemRow typeCol2 => true, key => 'term', value => $item->getTermWithTimeClever()}
        {include #itemRow typeCol2 => true, key => 'place-of-action', value => $item->getPlaceOfAction()}
        {include #itemRow typeCol2 => true, key => 'content', value => $item->getContent()}
    </div>
</div>